#!/bin/bash

function dev_input_chmod_by_id() {
    ID="$1"
    NODE=$(xinput list-props $ID |grep "Device Node" | cut -f2 -d: | tr -d '\t"')
    if [[ "${NODE}" == /dev/input/* ]]; then
        echo "Set permissions for ${NODE}"
        sudo chmod 666 ${NODE} || exit 1
    else
        echo "Failed to retrieve device node for xinput device ${ID}"
    fi
}

function xinput_disable_by_name() {
    ID=$(xinput list --id-only "$1")
    if [ $? -eq 0 ]; then
        echo "Disable device ${ID}: $1"
        xinput disable ${ID}
        dev_input_chmod_by_id ${ID}
    else
        echo "Device not found: $1"
    fi
    echo ""
}

xinput_disable_by_name "Raspberry Pi Pico" 
xinput_disable_by_name "Dell Dell USB Keyboard"
xinput_disable_by_name "Microsoft  Microsoft Basic Optical Mouse v2.0 "

